<html>
    <head>
        <title>Teste AJAX </title>
    </head>
    <body>
    <script src="jquery.js" type="text/javascript"></script>
    
    <input type="number"><button>Botao do AJAX</button>

        <script>
          $('button').on('click', function(){
 
                var url_da_api = "https://icuff17-api.herokuapp.com/teachers"
                
                var id_do_professor = $('input').val();
                
                var url_de_um_professor = url_da_api + '/' + id_do_professor;

                var requisicao_professor = $.ajax({url: url_de_um_professor});
                
                var funcao_maneira = function(data){ 
                 var texto =  $('<p></p>').text(data.name);
                        
                        

                    $("body").append(texto);

                }
                
                requisicao_professor.done(funcao_maneira);

                requisicao_professor.fail(function(data){  alert("Foi mal!");  });
            });
                
        </script>

        
    </body>
</html>